package com.ruoyi.common.wxMessage;


import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author xh
 * @Date 2022/7/14
 */

@Component
@ConfigurationProperties(prefix = "wx")
public class WxMpPropertiesConfig {
    /**
     * 公众号appId
     */
    private static String appId;

    /**
     * 公众号appSecret
     */
    private static String secret;


    /**
     * 公众号token
     */
    private static String token;

    /**
     * 公众号aesKey
     */
    private static String aesKey;

    /**
     * 服务器地址
     */
    private static String url;

    /**
     * 前端服务器地址
     */
    private static String frontUrl;



    public static String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public static String getSecret() {
        return secret;
    }

    public void setSecret(String secret) {
        this.secret = secret;
    }

    public static String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public static String getAesKey() {
        return aesKey;
    }

    public void setAesKey(String aesKey) {
        this.aesKey = aesKey;
    }

    public static String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public static String getFrontUrl() {
        return frontUrl;
    }

    public void setFrontUrl(String frontUrl) {
        this.frontUrl = frontUrl;
    }
}